@import "../../../../assets/styles/main.scss";

.myEsimDetailsContainer {
  display: grid;
  grid-template-rows: 32px 1fr 146px;
  gap: 24px;
  height: 100%;

  h2 {
    @include inter700;
    font-size: 30px;
    line-height: 32px;
    letter-spacing: 0.20000000298023224px;
    text-align: left;
  }

  .myEsimListContainer {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;

    @include lg {
      gap: 8px;
    }

    .myEsimListCard {
      padding: 13px;
      border-radius: 10px;
      display: grid;
      grid-template-columns: 40px 1fr 136px;
      gap: 10px;
      box-shadow: 0px 0px 9.8px 0px #d2d2d275;
      border: 2px solid #ffffff;
      background: linear-gradient(
        270.22deg,
        #f7f7f7 27.85%,
        #f4f4f4 44.76%,
        #e9e9e9 58.4%
      );

      @include lg {
        grid-template-columns: 30px 1fr 136px;
        gap: 8px;
      }
      .myEsimListCard_image {
        max-width: 40px;
        height: 40px;
        padding: 6.5px;
        border-radius: 10px;
        background: #f47500;
        display: flex;
        justify-content: center;
        align-items: center;
        margin: auto 0;
        @include lg {
          max-width: 30px;
          height: 30px;
        }

        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }

      .myEsimListCardDetail {
        display: flex;
        flex-direction: column;
        justify-content: space-between;

        h4 {
          @include inter500;
          font-size: 16px;
          line-height: 19.36px;
          text-align: left;

          @include lg {
            font-size: 14px;
            line-height: 17.36px;
          }
        }

        p {
          @include inter400;
          font-size: 14px;
          line-height: 16.94px;
          text-align: left;
          color: #455a64;

          @include lg {
            font-size: 12px;
            line-height: 14.94px;
          }

          span {
            color: #f47500;
            @include inter600;
          }
        }
      }

      .myEsimListCardManageEsimButton {
        background: #1e293b;
        padding: 6.5px 10px;
        border: 1px solid #ffffff;
        border-radius: 8px;
        display: flex;
        flex-direction: row;
        gap: 10px;
        align-items: center;
        cursor: pointer;

        img {
          height: 25px;
          width: 25px;
        }

        p {
          font-size: 12px;
          line-height: 14.52px;
          text-align: left;
          color: white;
        }
      }
    }
  }

  .getNewSimSection {
    background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
    border: 2px solid #ffffff;
    box-shadow: 0px 0px 9.8px 0px #d2d2d275;
    border-radius: 20px;
    padding: 13px 24px;
    display: grid;
    grid-template-columns: 140px 1fr 158px;
    place-items: center;
    position: relative;
    height: 100%;

    .newSimVector {
      position: absolute;
      bottom: 0;
      right: 0;

      img {
        height: 100%;
        width: 100%;
      }
    }

    .newSimImage {
      width: 140px;
      height: 100%;

      @include xl {
        width: 120px;
      }

      @include lg {
        width: 100px;
      }

      img {
        height: 100%;
        width: 100%;
      }
    }

    p {
      font-size: 24px;
      line-height: 32px;
      @include inter500;
      text-align: center;
      color: #000000;

      @include xl {
        font-size: 20px;
        line-height: 28px;
      }

      @include lg {
        font-size: 16px;
        line-height: 23px;
      }
    }

    button {
      padding: 10.5px 26px !important;
      min-width: unset;
      background-color: white !important;

      @include xl {
        padding: 9px 24px !important;
      }

      span {
        width: fit-content !important;
        color: getColorHex("black") !important;
        font-size: 16px !important;
        line-height: 20px;
        text-transform: capitalize !important;
        @include inter700;

        @include xl {
          font-size: 14px !important;
          line-height: 18px;
        }
      }
    }
    button:hover {
      background-color: #f47500 !important;

      span {
        color: getColorHex("white") !important;
      }
    }
  }
}
